/*
 * Created on March 3, 2004
 *
 * RecordFactoryImpl.java is used to test the J2EE Connector
 * as implemented by JOnAS. This class implements the RecordFactory
 * (cci) classes.
 *  
 */
package ersatz.resourceadapter;

import javax.resource.cci.RecordFactory;
import javax.resource.cci.MappedRecord;
import javax.resource.cci.IndexedRecord;
import javax.resource.ResourceException;
/**
 * @author Bob Kruse
 *
 * Jtest Resource Adapter
 *
 * used to test the J2EE Connector as implemented by JOnAS.
 * 
 */
public class RecordFactoryImpl 
        implements RecordFactory
{

    String cName = "RecordFactoryImpl";
    
    public RecordFactoryImpl() {
        Utility.log(cName+".constructor (error: should never get here!");
    }

	public MappedRecord createMappedRecord(String recordName)
		throws ResourceException
	{
		ResourceException nse = new ResourceException(
			"RecordFactory is not currently supported");
        Utility.log(cName+".createIndexedRecord "+nse);
		throw nse;
	}
	public IndexedRecord createIndexedRecord(String recordName)
		throws ResourceException
	{
		ResourceException nse = new ResourceException(
			"RecordFactory is not currently supported");
        Utility.log(cName+".createIndexedRecord "+nse);
		throw nse;
	}
}
